GDB (xrefs)

Functions
py-infevents.c File Reference
`#include "defs.h"`
`#include "py-event.h"`
`#include "py-ref.h"`

Go to the source code of this file.

## Functions
static PyObject * | create_inferior_call_event_object (inferior_call_kind flag, ptid_t ptid, CORE_ADDR addr)
static PyObject * | create_register_changed_event_object (struct frame_info *frame, int regnum)
static PyObject * | create_memory_changed_event_object (CORE_ADDR addr, ssize_t len)
int | emit_inferior_call_event (inferior_call_kind flag, ptid_t thread, CORE_ADDR addr)
int | emit_memory_changed_event (CORE_ADDR addr, ssize_t len)
int | emit_register_changed_event (struct frame_info *frame, int regnum)

## Function Documentation

## ◆ create_inferior_call_event_object()

static PyObject* create_inferior_call_event_object | ( | inferior_call_kind | flag,
|  | ptid_t | ptid,
|  | CORE_ADDR | addr
| ) |  |
| static

Definition at line 28 of file py-infevents.c.

References create_event_object(), evpy_add_attribute(), gdb_assert_not_reached, gdbpy_create_ptid_object(), gdb::ref_ptr< T, Policy >::get(), INFERIOR_CALL_POST, and INFERIOR_CALL_PRE.

Referenced by emit_inferior_call_event().

## ◆ create_memory_changed_event_object()

static PyObject* create_memory_changed_event_object | ( | CORE_ADDR | addr,
|  | ssize_t | len
| ) |  |
| static

Definition at line 94 of file py-infevents.c.

References create_event_object(), evpy_add_attribute(), and gdb::ref_ptr< T, Policy >::get().

Referenced by emit_memory_changed_event().

## ◆ create_register_changed_event_object()

static PyObject* create_register_changed_event_object | ( | struct frame_info * | frame,
|  | int | regnum
| ) |  |
| static

Definition at line 66 of file py-infevents.c.

References create_event_object(), evpy_add_attribute(), frame_info_to_frame_object(), gdb::ref_ptr< T, Policy >::get(), and regnum.

Referenced by emit_register_changed_event().

## ◆ emit_inferior_call_event()

int emit_inferior_call_event | ( | inferior_call_kind | flag,
|  | ptid_t | thread,
|  | CORE_ADDR | addr
| ) |  |

Definition at line 124 of file py-infevents.c.

References create_inferior_call_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_on_inferior_call_post(), and python_on_inferior_call_pre().

## ◆ emit_memory_changed_event()

int emit_memory_changed_event | ( | CORE_ADDR | addr,
|  | ssize_t | len
| ) |  |

Definition at line 140 of file py-infevents.c.

References create_memory_changed_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_on_memory_change().

## ◆ emit_register_changed_event()

int emit_register_changed_event | ( | struct frame_info * | frame,
|  | int | regnum
| ) |  |

Definition at line 155 of file py-infevents.c.

References create_register_changed_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, gdb::ref_ptr< T, Policy >::get(), and regnum.

Referenced by python_on_register_change().